﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class fader : MonoBehaviour
{
    GameObject obs;
    Renderer rend;
    float alpha;
    bool gofade;

    public float fadespeed;

    private void Awake()
    {
        obs = GameObject.Find("observer");
    }

    // Start is called before the first frame update
    void Start()
    {
        rend = GetComponent<Renderer>();
        alpha = 0.0f;
        rend.material.color = new Color(1.0f, 1.0f, 1.0f, alpha);
        gofade = false;
    }

    // Update is called once per frame
    void Update()
    {
        if (Input.anyKeyDown)
        {
            if (Input.GetKey(KeyCode.Space))
            {
                gofade = true;
            }
        }

        if (gofade)
        {
            rend.material.color = new Color(1.0f, 1.0f, 1.0f, alpha);
            alpha += Time.deltaTime * fadespeed;

            if (alpha > 1.0f)
            {
                fadespeed = -fadespeed;
                obs.transform.position = new Vector3(-18.0f, 3.0f, 18.0f);
                obs.transform.eulerAngles = new Vector3(-0.0f, -10.0f, -0.0f);
                alpha = 1.0f;
            }
            if (alpha < 0.0f)
            {
                gofade = false;
                // reset these in case you want to do this again!
                alpha = 0.0f;
                fadespeed = -fadespeed;
            }
        }
    }
}
